//
//  PowerPointMacAssistant.swift
//  masterkey
//
//  Created by Ian Kohl on 2/28/19.
//  Copyright © 2019 One Sky IT. All rights reserved.
//

import Foundation

    class PowerPointWindowsAssistant: ApplicationAssistant {
    override init() {
        super.init()
        
        mirrored = false
        
        shouldUnmirror = true
        
        delay = 3
        
        applicationName = "Microsoft Office PowerPoint"
        
        applicationPath = "/Applications/Microsoft Office PowerPoint.app"
        
        //Not overriding bundleID and keeping the superclass xxxxxxxxxxxx bundleID. Automation code handles making sure Windows PPTs are active.
        
        scriptString = """
        var powerpoint = Application('Microsoft Office PowerPoint')

        var app = Application.currentApplication()
        app.includeStandardAdditions = true
        
        delay(1)
        powerpoint.activate()
        
        var se = Application('System Events')
        se.keyCode(96)
        delay (2)
        powerpoint.activate()
        """
    }
}
